[Buster / Debian 10] Soucis apt update et installation php 7.4

Tags: #<Tag:0x00007f58cdabb4e0> #<Tag:0x00007f58cdabb3f0>

Bonjour à quand, quand je souhaite installer les nouvelles mise à jours disponible sur mon VPS voici l’erreur que j’ai:

Err:3 https://packages.sury.org/php buster/main amd64 openssl amd64 1.1.1j-1+0~20210301.25+debian10~1.gbp2578a0
  404  Not Found [IP: 104.21.18.148 443]

Pareil pour certain paquet de PHP 7.4 comme mysql, j’ai chercher sur google vue que ca pouvais venir du repo, sauf que les paquet sont bien, présent dans mes repo…
Voici mon fichier /etc/apt/sources.list:

deb http://ftp.debian.org/debian buster main contrib

deb http://ftp.debian.org/debian buster-updates main contrib

deb http://security.debian.org buster/updates main contrib

deb https://adoptopenjdk.jfrog.io/adoptopenjdk/deb/ buster main
# deb-src https://adoptopenjdk.jfrog.io/adoptopenjdk/deb/ buster main

Avez vous une olution pour régler mon problèmes ? Merci à vous !

Fourni nous plutôt le contenu du dossier sources.list.d :wink:

Il te dit qu’il ne trouve pas le dépôt, les paquets provenant du dépôts de sury ont déjà été installé sur la machine ? (en gros c’est une mise à jour ou une installation ? ).

Voici son contenu:
mod-pagespeed.list nodesource.list php.list
mysql.list ookla_speedtest-cli.list

La le message d’erreur c’est lors d’un apt update, mais lorsque je tente d’installer PHP 7.4 ca me met des erreurs similaire pour d’autre paquêt

Donc tu as ajouté ce dépôts mais installé aucun paquets provenant de ce dépôt, as-tu bien suivi toute la procédure pour l’installation et l’utilisation de ce dernier ?

Il me semble.
Dans le doute j’ai retenté.maos même erreur.
Le plus étrange c’est que même Apt update je marche pas, pour openssl par exemple qui est déjà installé, il me retourne un 404 not found alors que quand je me rend sur le site directement, le package existe bien…

Voici le tuto que j’ai suivis : https://www.jesusamieiro.com/update-debian-to-php-7-4/